# $Revision: 1.33 $, $Date: 2006/10/09 12:24:52 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	SAX
Summary:	XML::SAX - simple API for XML
Summary(pl):	XML::SAX - proste API dla XML-a
Name:		perl-XML-SAX
Version:	0.14
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ab13c04a3cf63a0ae63fa73c863cf23e
Patch0:		%{name}-noalter.patch
URL:		http://search.cpan.org/dist/XML-SAX/
BuildRequires:	perl-XML-NamespaceSupport >= 0.03
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires(post):	fileutils
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML::SAX consists of several framework classes for using and building
Perl SAX2 XML parsers, filters, and drivers. It is designed around the
need to be able to "plug in" different SAX parsers to an application
without requiring programmer intervention. Those of you familiar with
the DBI will be right at home. Some of the designs come from the Java
JAXP specification (SAX part), only without the javaness.

%description -l pl
XML::SAX skada si z kilku klas tworzcych szkielet do uywania i
budowania parserw, filtrw i sterownikw SAX2 XML w Perlu. Zadaniem
moduu jest umoliwienie wczania rnych parserw SAX do aplikacji
bez udziau programisty. Znajcy moduy DBI bd si czuli jak w domu.
Niektre koncepcje pochodz ze specyfikacji Java JAXP (cz SAX), ale
bez javowoci.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
touch $RPM_BUILD_ROOT%{perl_vendorlib}/XML/SAX/ParserDetails.ini

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
touch %{perl_vendorlib}/XML/SAX/ParserDetails.ini

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/XML/SAX.pm
%dir %{perl_vendorlib}/XML/SAX
%{perl_vendorlib}/XML/SAX/*.pm
%{perl_vendorlib}/XML/SAX/PurePerl
%ghost %{perl_vendorlib}/XML/SAX/ParserDetails.ini
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-SAX.spec,v $
Revision 1.33  2006/10/09 12:24:52  qboosh
- added URL

Revision 1.32  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.31  2006/06/19 07:50:06  maciek2w
- updated to 0.14
- STBR

Revision 1.30  2006/02/03 19:54:46  migo
- up to 0.13

Revision 1.29  2004/11/03 22:30:56  paladine
- formatting

Revision 1.28  2004/05/07 00:38:54  ankry
- rel. 5

Revision 1.27  2004/05/06 18:43:24  ankry
- fixed perl-devel BR

Revision 1.26  2004/05/05 06:28:47  ankry
- license unification, cosmetics

Revision 1.25  2004/04/27 15:26:30  ankry
- new bconds

Revision 1.24  2004/02/23 22:09:00  ankry
- pl fixes, cosmetics

Revision 1.23  2003/09/09 10:24:55  ankry
- spaces -> tab

Revision 1.22  2003/08/18 08:09:28  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.21  2003/07/13 22:10:59  ankry
- rel. 4

Revision 1.20  2003/06/08 16:25:36  qboosh
- removed workarounds for broken perlprov
- Requires(post): fileutils (touch)

Revision 1.19  2003/05/28 13:01:14  malekith
- massive attack: source-md5

Revision 1.18  2003/05/25 06:25:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/04/11 18:59:43  radek
- BR: perl-devel; do not BR: perl

Revision 1.16  2003/04/04 17:46:46  ankry
- make ParserDetails.ini %%ghost and create it in %%post
- rel. 3

Revision 1.15  2003/03/01 22:10:36  radek
- should be ready for perl-5.8.0; release++

Revision 1.14  2003/02/25 00:43:22  radek
- use the __perl macro

Revision 1.13  2003/02/18 15:39:15  ankry
- massive attack: change CPAN URLs

Revision 1.12  2002/11/26 10:06:51  mis
- autoupdated to 0.12

Revision 1.11  2002/09/18 20:45:18  radek
- added missing files
- enabled tests
- ghostbusted ParserDetails.ini (after reading XML::SAX(3))
- release 5

Revision 1.10  2002/09/17 18:56:55  ankry
- added Provides: for modules not properly recognized by current
  rpm-perlprov, release 4

Revision 1.9  2002/09/17 11:33:49  ankry
- added ParserDetails.ini as %%ghost
- release 3

Revision 1.8  2002/09/14 12:51:39  qboosh
- fixed build with perl-XML-SAX already installed (noalter patch)
- release 2

Revision 1.7  2002/09/08 11:02:18  radek
- version 0.11
- provided informative summary, fixed License field

Revision 1.6  2002/07/20 15:27:05  kloczek
- release 2.

Revision 1.5  2002/07/20 15:07:41  qboosh
- new %%doc, cosmetics

Revision 1.4  2002/07/10 09:03:09  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.3  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.2  2002/04/15 10:23:30  qboosh
- pl descriptions

Revision 1.1  2002/04/14 14:01:22  grabba
- first release
